## org.apache.bcel.generic
Class StackInstruction

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.StackInstruction

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  DUP, DUP_X1, DUP_X2, DUP2, DUP2_X1, DUP2_X2, POP, POP2, SWAP

public abstract class StackInstruction
extends Instruction

Super class for stack operations like DUP and POP.

Version:
  $Id: StackInstruction.java,v 1.1.1.1 2001/10/29 20:00:27 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`protected` `StackInstruction(short opcode)`

Method Summary
`Type` `getType(ConstantPoolGen cp)`

Methods inherited from class org.apache.bcel.generic.Instruction
`accept, consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, initFromFile, produceStack, readInstruction, setComparator, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StackInstruction

    protected StackInstruction(short opcode)

Parameters:
  `opcode` - instruction opcode

Method Detail

### getType

    public Type getType(ConstantPoolGen cp)

  Returns:
    Type.UNKNOWN

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.